polylib: alpha.h File Reference

# alpha.h File Reference

Go to the source code of this file.

## Functions
int | GaussSimplify (Matrix *M, Matrix *M2)
int | PolyhedronLTQ (Polyhedron *P1, Polyhedron *P2, int INDEX, int PDIM, int MAXRAYS)
int | PolyhedronTSort (Polyhedron **L, unsigned int n, unsigned int index, unsigned int pdim, int *time, int *pvect, unsigned int MAXRAYS)
int | Polyhedron_Not_Empty (Polyhedron *P, Polyhedron *C, int MAXRAYS)

## Function Documentation

int GaussSimplify | ( | Matrix * | M,
|  | Matrix * | M2 |
| ) |  |  |

Definition at line 384 of file alpha.c.

References errormsg1(), n, matrix::NbColumns, matrix::NbRows, matrix::p, Pol_status, value_absolute, value_assign, value_clear, value_divexact, value_division, value_gcd, value_ge, value_init, value_neg_p, value_notone_p, value_notzero_p, value_one_p, value_oppose, value_set_si, value_zero_p, Vector_Combine(), Vector_Exchange(), Vector_Gcd(), and Vector_Normalize().

Referenced by main().

int Polyhedron_Not_Empty | ( | Polyhedron * | P,
|  | Polyhedron * | C,
|  | int | MAXRAYS |
| ) |  |  |

Definition at line 104 of file alpha.c.

References polyhedron::Dimension, Domain_Free(), exist_points(), POL_ENSURE_FACETS, POL_ENSURE_VERTICES, Polyhedron_Scan(), value_clear, value_init, value_set_si, and Vector_Set().

Referenced by main().

int PolyhedronLTQ | ( | Polyhedron * | P1,
|  | Polyhedron * | P2,
|  | int | INDEX,
|  | int | PDIM,
|  | int | MAXRAYS |
| ) |  |  |

Definition at line 144 of file alpha.c.

References AddConstraints(), AddRays(), polyhedron::Constraint, polyhedron::Dimension, Domain_Free(), DomainIntersection(), emptyQ, errormsg1(), Matrix_Alloc(), Matrix_Free(), Matrix_Print(), polyhedron::NbConstraints, polyhedron::next, matrix::p, matrix::p_Init, P_VALUE_FMT, POL_ENSURE_FACETS, POL_ENSURE_VERTICES, Polyhedron_Print(), value_assign, value_neg_p, value_one_p, value_oppose, value_pos_p, value_set_si, value_zero_p, and Vector_Set().

Referenced by main(), and PolyhedronTSort().

int PolyhedronTSort | ( | Polyhedron ** | L,
|  | unsigned int | n,
|  | unsigned int | index,
|  | unsigned int | pdim,
|  | int * | time,
|  | int * | pvect,
|  | unsigned int | MAXRAYS |
| ) |  |  |

Definition at line 532 of file alpha.c.

References p, POL_ENSURE_FACETS, POL_ENSURE_VERTICES, and PolyhedronLTQ().